QXmpp: QXmppDataForm::Media Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppDataForm::Media Class Reference

## Public Member Functions
| Media ()
| Media (const QXmppDataForm::Media &other)
| ~Media ()
QXmppDataForm::Media & | operator= (const QXmppDataForm::Media &other)
int | height () const
void | setHeight (int height)
int | width () const
void | setWidth (int width)
QList< QPair< QString, QString > > | uris () const
void | setUris (const QList< QPair< QString, QString > > &uris)
bool | isNull () const

## Detailed Description

The QXmppDataForm::Media class represents a media field as defined by XEP-0221: Data Forms Media Element.

Deprecated
  This class is deprecated since QXmpp 1.1.

## Constructor & Destructor Documentation

## ◆ Media() [1/2]

QXmppDataForm::Media::Media | ( |  | ) |

Constructs an empty QXmppDataForm::Media.

Deprecated
  This class is deprecated since QXmpp 1.1.

## ◆ Media() [2/2]

QXmppDataForm::Media::Media | ( | const QXmppDataForm::Media & | other | ) |
| default

Constructs a copy of other.

Deprecated
  This class is deprecated since QXmpp 1.1.

## ◆ ~Media()

QXmppDataForm::Media::~Media | ( |  | ) |
| default

Destroys the media.

Deprecated
  This class is deprecated since QXmpp 1.1.

## Member Function Documentation

## ◆ height()

int QXmppDataForm::Media::height | ( |  | ) | const

Returns media's height.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Field::mediaSize()`.height() instead.

## ◆ isNull()

bool QXmppDataForm::Media::isNull | ( |  | ) | const

Returns true if no media tag present.

## ◆ operator=()

QXmppDataForm::Media & QXmppDataForm::Media::operator= | ( | const QXmppDataForm::Media & | other | ) |
| default

Assigns other to this media.

Deprecated
  This class is deprecated since QXmpp 1.1.

## ◆ setHeight()

void QXmppDataForm::Media::setHeight | ( | int | height | ) |

Sets media's height.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Field::mediaSize()`.setHeight() instead.

## ◆ setUris()

void QXmppDataForm::Media::setUris | ( | const QList< QPair< QString, QString > > & | uris | ) |

Sets media's uris.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Media::setMediaSources()` instead.

## ◆ setWidth()

void QXmppDataForm::Media::setWidth | ( | int | width | ) |

Sets media's width.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Field::mediaSize()`.setWidth() instead.

## ◆ uris()

QList< QPair< QString, QString > > QXmppDataForm::Media::uris | ( |  | ) | const

Returns media's uris.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Field::mediaSources()` instead.

## ◆ width()

int QXmppDataForm::Media::width | ( |  | ) | const

Returns media's width.

Deprecated
  This method is deprecated since QXmpp 1.1. Use `QXmppDataForm::Field::mediaSize()`.width() instead.

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp